Skip to main content
POST
/
v2
/
follow_ups
Create
curl --request POST \
  --url https://api.incident.io/v2/follow_ups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assignee_id": "01FCNDV6P870EA6S7TK1DSYDG0",
  "assignee_team_id": "01FCNDV6P870EA6S7TK1DSYDG0",
  "description": "Call the fire brigade",
  "external_issue_reference_id": "01FCNDV6P870EA6S7TK1DSYDG0",
  "follow_up_category_id": "01GNW4BAQ7XRMFF6FHKNXDFPRW",
  "follow_up_priority_option_id": "01GNW4BAQ7XRMFF6FHKNXDFPRW",
  "incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
  "labels": [
    "bug",
    "urgent"
  ],
  "title": "Add alerting on replica lag"
}
'
import requests

url = "https://api.incident.io/v2/follow_ups"

payload = {
"assignee_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"assignee_team_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"description": "Call the fire brigade",
"external_issue_reference_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"follow_up_category_id": "01GNW4BAQ7XRMFF6FHKNXDFPRW",
"follow_up_priority_option_id": "01GNW4BAQ7XRMFF6FHKNXDFPRW",
"incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"labels": ["bug", "urgent"],
"title": "Add alerting on replica lag"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assignee_id: '01FCNDV6P870EA6S7TK1DSYDG0',
assignee_team_id: '01FCNDV6P870EA6S7TK1DSYDG0',
description: 'Call the fire brigade',
external_issue_reference_id: '01FCNDV6P870EA6S7TK1DSYDG0',
follow_up_category_id: '01GNW4BAQ7XRMFF6FHKNXDFPRW',
follow_up_priority_option_id: '01GNW4BAQ7XRMFF6FHKNXDFPRW',
incident_id: '01FCNDV6P870EA6S7TK1DSYDG0',
labels: ['bug', 'urgent'],
title: 'Add alerting on replica lag'
})
};

fetch('https://api.incident.io/v2/follow_ups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "follow_up": {
    "assignee": {
      "email": "lisa@incident.io",
      "id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "name": "Lisa Karlin Curtis",
      "role": "owner",
      "slack_user_id": "U02AYNF2XJM"
    },
    "assignee_team": {
      "id": "abc123",
      "name": "abc123"
    },
    "completed_at": "2021-08-17T13:28:57.801578Z",
    "created_at": "2021-08-17T13:28:57.801578Z",
    "creator": {
      "alert": {
        "id": "01GW2G3V0S59R238FAHPDS1R66",
        "title": "*errors.withMessage: PG::Error failed to connect"
      },
      "api_key": {
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "name": "My test API key"
      },
      "user": {
        "email": "lisa@incident.io",
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "name": "Lisa Karlin Curtis",
        "role": "owner",
        "slack_user_id": "U02AYNF2XJM"
      },
      "workflow": {
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "name": "My little workflow"
      }
    },
    "description": "Call the fire brigade",
    "external_issue_reference": {
      "issue_name": "INC-123",
      "issue_permalink": "https://linear.app/incident-io/issue/INC-1609/find-copywriter-to-write-up",
      "provider": "asana"
    },
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "labels": [
      "bug",
      "urgent"
    ],
    "priority": {
      "description": "A follow-up that requires immediate attention.",
      "id": "01GNW4BAQ7XRMFF6FHKNXDFPRW",
      "name": "Urgent",
      "rank": 10
    },
    "status": "outstanding",
    "title": "Cat is stuck in the tree",
    "updated_at": "2021-08-17T13:28:57.801578Z"
  }
}
🔑 Requires the follow_ups.create scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Body

application/json
incident_id
string
required

Unique identifier of the incident the follow-up belongs to

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

title
string
required

Title of the follow-up

Example:

"Add alerting on replica lag"

assignee_id
string

ID of the user this follow-up is assigned to

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

assignee_team_id
string

ID of the team this follow-up is assigned to

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

description
string

Description of the follow-up. Supports Markdown.

Example:

"Call the fire brigade"

external_issue_reference_id
string

If this follow-up is related to an external issue, the ID of that issue

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

follow_up_category_id
string

ID of the category for this follow-up

Example:

"01GNW4BAQ7XRMFF6FHKNXDFPRW"

follow_up_priority_option_id
string

ID of the priority for this follow-up

Example:

"01GNW4BAQ7XRMFF6FHKNXDFPRW"

labels
string[]

Labels associated with this follow-up

Example:
["bug", "urgent"]

Response

201 - application/json

Created response.

follow_up
object
required